Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.atlassian.bamboo.index
Class MultithreadedBuildResultsIndexer

    java.lang.Object
      com.atlassian.bamboo.index.DefaultBuildResultsIndexer
          com.atlassian.bamboo.index.MultithreadedBuildResultsIndexer

All Implemented Interfaces:
  BuildResultsIndexer

    public class MultithreadedBuildResultsIndexer

extends DefaultBuildResultsIndexer

Field Summary

Fields inherited from class com.atlassian.bamboo.index.DefaultBuildResultsIndexer
`buildManager, defaultIndexManager, testResultManager`

Constructor Summary
`MultithreadedBuildResultsIndexer()`

Method Summary
`protected long` | `indexBuildKeepConnection(Build build)`

Methods inherited from class com.atlassian.bamboo.index.DefaultBuildResultsIndexer
`deIndexBuild, deIndexBuildResults, getBuildResultsSummaryDocumentFactory, getDefaultIndexManager, getSessionFactory, getTestResultManager, indexBuild, indexBuildResult, indexBuildResultKeepConnection, indexTestCaseResult, indexTestCaseResults, reindexAll, reIndexBuildResults, setBuildManager, setBuildResultsSummaryDocumentFactory, setDefaultIndexManager, setSessionFactory, setTestResultManager`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MultithreadedBuildResultsIndexer

    public MultithreadedBuildResultsIndexer()

Method Detail

### indexBuildKeepConnection

    protected long indexBuildKeepConnection(Build build)
                                     throws Exception

  Overrides:
    `indexBuildKeepConnection` in class `DefaultBuildResultsIndexer`
  Throws:
    `Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 Atlassian Software Systems. All Rights Reserved.